<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: util.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>util.h File Reference</h1>Convert return-code of Freetype library calls to std::runtime_error. <a href="#_details">More...</a>
<p>
<code>#include &lt;stdexcept&gt;</code><br>
<code>#include &lt;string&gt;</code><br>
<code>#include &lt;iostream&gt;</code><br>
<code>#include &lt;ft2build.h&gt;</code><br>
<code>#include &lt;freetype/ftglyph.h&gt;</code><br>

<p>
<a href="util_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8h.html#7d7f9d985b0fa4b37488b75aa0cc182f">operator&lt;&lt;</a> (std::ostream &amp;, const FT_Library)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8h.html#8e4022fd889fe9ddd2f70583c192ff40">operator&lt;&lt;</a> (std::ostream &amp;, const FT_Face)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8h.html#04f1a09c1e2e635820a4581ab4c5c678">operator&lt;&lt;</a> (std::ostream &amp;, const FT_Glyph)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8h.html#c9d305526161e83536abed9c7d0eceb0">operator&lt;&lt;</a> (std::ostream &amp;, const FT_Outline)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="util_8h.html#f93950be23413442be8c8d99e54f6688">evalReturnCode</a> (const int errCode, const char *funcName)  throw (std::runtime_error)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Converts a freetype return code into an exception.  <a href="#f93950be23413442be8c8d99e54f6688"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Convert return-code of Freetype library calls to std::runtime_error. 
<p>
Usage: place every call to Freetype library inside FtEval::eval().<p>
libLASi provides a C++ output stream interface for writing multi-language Postscript documents. Copyright (C) 2003, 2004 by Larry Siden.<p>
See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution. <hr><h2>Function Documentation</h2>
<a class="anchor" name="f93950be23413442be8c8d99e54f6688"></a><!-- doxytag: member="util.h::evalReturnCode" ref="f93950be23413442be8c8d99e54f6688" args="(const int errCode, const char *funcName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void evalReturnCode           </td>
          <td>(</td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>errCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>funcName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%">  throw (std::runtime_error)<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Converts a freetype return code into an exception. 
<p>

</div>
</div><p>
<a class="anchor" name="c9d305526161e83536abed9c7d0eceb0"></a><!-- doxytag: member="util.h::operator&lt;&lt;" ref="c9d305526161e83536abed9c7d0eceb0" args="(std::ostream &amp;, const FT_Outline)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const &nbsp;</td>
          <td class="paramname"> <em>FT_Outline</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="04f1a09c1e2e635820a4581ab4c5c678"></a><!-- doxytag: member="util.h::operator&lt;&lt;" ref="04f1a09c1e2e635820a4581ab4c5c678" args="(std::ostream &amp;, const FT_Glyph)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const &nbsp;</td>
          <td class="paramname"> <em>FT_Glyph</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8e4022fd889fe9ddd2f70583c192ff40"></a><!-- doxytag: member="util.h::operator&lt;&lt;" ref="8e4022fd889fe9ddd2f70583c192ff40" args="(std::ostream &amp;, const FT_Face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const &nbsp;</td>
          <td class="paramname"> <em>FT_Face</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7d7f9d985b0fa4b37488b75aa0cc182f"></a><!-- doxytag: member="util.h::operator&lt;&lt;" ref="7d7f9d985b0fa4b37488b75aa0cc182f" args="(std::ostream &amp;, const FT_Library)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const &nbsp;</td>
          <td class="paramname"> <em>FT_Library</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
